#ifndef CONFIG_H_INCLUDED
#define CONFIG_H_INCLUDED

// LED count, GRB/RGB (2812/2811 MODULES), NORM/BASS

#define LED_GRB
#define NORM_INPUT
#define NORM_MEAS_ENABLED
#define MAX_LED_COUNT 60
#define NOISE_REDUCTION 23
#define MIN_PEAK_VALUE 45
#define PEAK_DECREASE_STEPDIV 128
#define VAL_DECREASE_STEPDIV 128
#define PEAK_LEAVE_ALONE_TIME 200
#define VAL_LEAVE_ALONE_TIME 5
#define MINMAX_COUNT 2
#define MIN_DISP_VALUE 3
#define NO_SIGNAL_TIMEOUT 12
#define SHIMMER_PREDIV_FASTER 1 // 62:255:1 Hz ~ 4 sec
#define SHIMMER_PREDIV_SLOWER 16 // 62:255:16 Hz ~ 1 min


#define OCR1A_VAL 250

#endif // CONFIG_H_INCLUDED
