#ifndef WS2812B_H_INCLUDED
#define WS2812B_H_INCLUDED

#include <avr/io.h>
#include <util/delay.h>
#include "config.h"

extern void ws2812b_senddata (uint8_t led_count_var, uint8_t* led_values);

uint8_t _led_values[MAX_LED_COUNT*3];

void led_refresh(uint8_t led_count);
void set_led_color(uint8_t led, uint8_t r, uint8_t g, uint8_t b, uint8_t led_type);
uint8_t get_led_r_color(uint8_t led, uint8_t led_type);
uint8_t get_led_g_color(uint8_t led, uint8_t led_type);
uint8_t get_led_b_color(uint8_t led, uint8_t led_type);
void led_clear_array(uint8_t led_count);
void led_clear(uint8_t led_count);

#endif // WS2812B_H_INCLUDED
